{block title}Pig Latin - Překladač{/block}

{block header}Pig Latin - Překladač{/block}

{block content}

<div class="page-wrapper">
    <div class="container mt-5">

        <div class="translator-wrapper">
            <h2>Překladač</h2>

            {snippet translateFormSnippet}
                <form n:name=translatorForm>

                    <div class="form-group">
                        <label n:name=word>Zadej slovo (nebo větu):</label>
                        <input n:name=word class="form-control {if $form['word']->hasErrors()}is-invalid{/if}" required>

                        {if $form['word']->hasErrors()}
                            <div class="text-danger">{$form['word']->getError()}</div>
                        {/if}
                    </div>

                    {ifset $translateWord}
                        <div class="form-group mt-2">
                            <label>Překlad:</label>
                            <b>{$translateWord}</b>
                        </div>
                    {/ifset}

                    <button type="submit" class="btn btn-primary mt-4">Přelož</button>
                </form>
            {/snippet}
        </div>

    </div>
</div>

<style>
    .translator-wrapper {
        background: white;
        padding: 20px 25px;
        box-sizing: border-box;
        border-radius: 12px;
    }
</style>